USB_WAIT_ANCHOR_EMPT(9)

NAME
usb_wait_anchor_empty_timeout - wait for an anchor to be unused

SYNOPSIS

int usb_wait_anchor_empty_timeout(struct usb_anchor * anchor, unsigned int timeout);

ARGUMENTS

anchor
    the anchor you want to become unused

timeout
    how long you are willing to wait in milliseconds

DESCRIPTION

Call this is you want to be sure all an anchor's URBs have finished

RETURN

Non-zero if the anchor became unused. Zero on timeout.

COPYRIGHT